Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 624294 - Review Request: gforth-ffl - The Forth Foundation Library
Summary: Review Request: gforth-ffl - The Forth Foundation Library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-08-15 19:14 UTC by Jochen Schmitt
Modified: 2015-08-24 23:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:10:10 UTC


Attachments (Terms of Use)

Description Jochen Schmitt 2010-08-15 19:14:31 UTC
Spec URL: http://www.herr-schmitt.de/pub/gforth-ffl/gforth-ffl.spec
SRPM URL: http://www.herr-schmitt.de/pub/gforth-ffl/gforth-ffl-0.8.0-1.fc13.src.rpm
Description:
The Forth Fondation Library is a general purpose forth library. It give you a
collection of words written in ANSI Forth, in areas such as data types,
collections, development support, interfaces and compound modules. The library
is developed with gforth.

Comment 1 Mark McKinstry 2010-08-19 01:56:20 UTC
Jochen,

The links to your spec and SRPM are 404ing for me.

Comment 2 Jochen Schmitt 2010-08-19 14:54:19 UTC
Please try:

Spec URL: http://www.herr-schmitt.de/pub/gforth/gforth-ffl.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gforth/gforth-ffl-0.8.0-1.fc13.src.rpm

Sorry for any inconvinence.

Comment 3 Mark McKinstry 2010-08-24 23:42:51 UTC
Jochen,

I've been trying to get this figured out for a while but I don't know forth so I'm kind of hampered there. 

You should add gforth as a BuildRequires since it is needed in the check section.

I've added that to the spec on my computer but the check section fails because it can't find ffl/tst.fs when it tries to run the tests. I messed around with it for a bit and it seems like you've got to specify the path for where gforth should be looking for those files. I haven't been able to get that check command to work at all but I was at least able to successfully include ffl/tst.fs by running it like 'gforth --path="/usr/lib/gforth/0.7.0/:/home/mmckinst/ffl-0.8.0/"'

But thats are far as I was able to get. I tried applying the same logic to the gforth command that does the tests but it fails with:

*OS command line*:-1: No such file or directory
>>>ffl_test.fs<<<
Backtrace:
$73A4D0 throw 
$738904 required 
$73CC80 execute 
$11EBE8 
$123A00 
$11A000 
$114FF0 
$73CC68 
$737A9C catch 
$7388CC execute-parsing-wrapper 
$73893C os-execute-parsing 
$738CB8 args-required

Comment 4 Jochen Schmitt 2010-11-24 19:10:31 UTC
New fixed release which should works properly on the builder:

Spec URL: http://www.herr-schmitt.de/pub/gforth-ffl/gforth-ffl.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gforth-ffl/gforth-ffl-0.8.0-2.fc13.src.rpm

Comment 6 Jason Tibbitts 2012-06-29 22:10:10 UTC
This is still marked as not building, so nobody has looked at it in very many months.  In addition, the URLs are dead now.

I'm just going to go ahead and close it, but feel free to reopen if you still want to submit this.


Note You need to log in before you can comment on or make changes to this bug.